Groups

Create a group

Create a new group for organizing contacts. Provide a name and optional metadata for the group.

POST /v1/groups/

Request body

Content-Type: application/json

group
object required
group.name
string required
group.emoji
string
group.description
string
group.parent_id
string (uuid)
group.parent
any
group.id
string (uuid)
group.groups_contacts
array<object>
group.groups_contacts[].contact_id
string (uuid)
group.groups_contacts[].contact
any

Example

{
  "group": {
    "name": "string"
  }
}

Responses

200 — Successful response

Content-Type: application/json

error
boolean required
data
object required
data.group
any required

Example

{
  "error": false,
  "data": {
    "group": null
  }
}

400 — Request body failed validation.

Content-Type: application/json

(body)
any

401 — Missing or invalid API key.

Content-Type: application/json

(body)
any

403 — Valid key, insufficient permission.

Content-Type: application/json

(body)
any

404 — Resource does not exist.

Content-Type: application/json

(body)
any

409 — Request conflicts with the current state of the resource.

Content-Type: application/json

(body)
any

429 — Rate limit exceeded.

Content-Type: application/json

(body)
any

500 — Unexpected server error.

Content-Type: application/json

(body)
any

Code samples

curl https://api.prod.getdex.com/v1/groups/ \
  --request POST \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "group": {
    "name": "string"
  }
}'
Copyright © 2026